{"openapi":"3.0.1","info":{"title":"OpenAPI definition","version":"v0"},"servers":[{"url":"http://pilot-157444.wishket.bizops.work","description":"Generated server url"}],"paths":{"/api/v1/assignments":{"post":{"tags":["assignment-controller"],"operationId":"assign","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AssignRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AssignResponse"}}}}}}},"/api/v1/assignments/{applicationId}/complete":{"patch":{"tags":["assignment-controller"],"operationId":"complete","parameters":[{"name":"applicationId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AssignResponse"}}}}}}},"/health":{"get":{"tags":["health-controller"],"operationId":"health","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}}}}},"/api/v1/evaluators/{evaluatorId}/daily-count":{"get":{"tags":["evaluator-count-controller"],"operationId":"dailyCount","parameters":[{"name":"evaluatorId","in":"path","required":true,"schema":{"type":"string"}},{"name":"date","in":"query","required":false,"schema":{"type":"string","format":"date"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DailyCountResponse"}}}}}}},"/api/v1/evaluators/daily-counts":{"get":{"tags":["evaluator-count-controller"],"operationId":"dailyCounts","parameters":[{"name":"date","in":"query","required":false,"schema":{"type":"string","format":"date"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DailyCountResponse"}}}}}}}}},"components":{"schemas":{"AssignRequest":{"required":["applicationId","companyId","provinceCode"],"type":"object","properties":{"applicationId":{"maxLength":128,"minLength":0,"type":"string"},"companyId":{"maxLength":64,"minLength":0,"type":"string"},"provinceCode":{"maxLength":16,"minLength":0,"pattern":"^[A-Z]{2}-[0-9]{2}$","type":"string"},"requestedAt":{"type":"string","format":"date-time"}}},"AssignResponse":{"type":"object","properties":{"applicationId":{"type":"string"},"status":{"type":"string","enum":["ASSIGNED","MANUAL_PENDING","COMPLETED"]},"evaluatorId":{"type":"string"},"provinceCode":{"type":"string"},"matchLevel":{"type":"string","enum":["SAME_PROVINCE","ADJACENT_PROVINCE","NONE"]},"businessDate":{"type":"string","format":"date"},"assignedAt":{"type":"string","format":"date-time"}}},"DailyCountResponse":{"type":"object","properties":{"evaluatorId":{"type":"string"},"businessDate":{"type":"string","format":"date"},"count":{"type":"integer","format":"int32"},"dailyLimit":{"type":"integer","format":"int32"},"remaining":{"type":"integer","format":"int32"}}}}}}